## com.meego.libsocialweb.VideoUpload

com.meego.libsocialweb.VideoUpload — VideoUpload interface

## Methods

    UploadVideo (in  's'     local_filename,
                 in  'a{ss}' fields,
                 out 'i'     opid)

## Signals

    VideoUploadProgress ('i' opid,
                         'i' progress,
                         's' error_message)

## Implemented Interfaces

Objects implementing com.meego.libsocialweb.VideoUpload also implements org.freedesktop.DBus.Introspectable, org.freedesktop.DBus.Properties

## Description

An interface for uploading videos.

## Details

### ``UploadVideo()``

    UploadVideo (in  's'     local_filename,
                 in  'a{ss}' fields,
                 out 'i'     opid)

Upload the video `local_filename`. The upload will be performed asynchronously and `opid` can be used to identify the upload in the "VideoUploadProgress" signal.

`fields` is a set of key-value pairs that are passed to the service. None of these are required and not all services support all of the keys. Generic keys are:

- title: The video's title

`local_filename`: | The local filename of the image to upload.
`fields`: | Key-value pairs containing metadata.
`opid`: | Operation identifier, used in the "VideoUploadProgress" signal.

## Signal Details

### The VideoUploadProgress signal

    VideoUploadProgress ('i' opid,
                         'i' progress,
                         's' error_message)

Emitted periodically as the upload is performed. `progress` can go from 0 to 100 as the upload is performed. If there is an error then `progress` is -1 and `error_message` is set.

This signal is guaranteed to be emitted at least once with either `progress` at 100 (i.e. upload complete) or an error state.

`opid`: | Operation identifier, as returned by ``UploadVideo()``.
`progress`: | Current progress, the normal range being 0 (not started) to 100 (completed), with -1 meaning an error occurred.
`error_message`: | The human-readable error message. This will be set if `progress` is -1.